import React from 'react';
import PrimaryButton from '~/driven/utils/components/buttons/primary-button/PrimaryButton';
import SimpleInput from '~/driven/utils/components/inputs/simple-input/SimpleInput';
import { icons } from '~/driven/utils/constants/assertUrls';
import { staticMessages } from '~/driven/utils/constants/staticMessages';

export default function AuthenticationView() {
  return (
    <div className='main-auth flex flex-nowrap justify-start flex-row-reverse h-screen w-screen'>
      <form className='w-full px-7 md:px-20 md:w-[50%] lg:w-[35%]  min-w-[10rem] h-full shadow-lg shadow-slate-400 flex flex-col items-center justify-start pt-12'>
        <div className='w-48 h-[35%]'>
          <img src={icons.logoBlack} className='w-full h-12' alt='page icon' />
        </div>
        <div className='font-normal mb-4 text-lg self-start'>{staticMessages.global.enterPanel}</div>
        <div className='text-txt-medium text-xs mb-9 self-start'>{staticMessages.global.enterPhoneNumber}</div>
        <SimpleInput
          inputData={{ name: 'phoneNumber', title: staticMessages.global.phonenumber }}
          stateHanlder={() => null}
          className='mb-9 w-full self-start'
        />
        <PrimaryButton
          onClick={() => null}
          title={staticMessages.global.submit}
          className='bg-gradient-button w-full h-11'
        />
      </form>
      <div className='hidden md:flex md:w-[50%] lg:w-[65%] h-full' />
    </div>
  );
}
